#
# spec file for package zn_poly
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zn_poly
%define lname	libzn_poly-0_9
Version:        0.9
Release:        lp152.3.4
Summary:        Library for polynomial arithmetic in Z/nZ[x]
License:        BSD-2-Clause and GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Scientific/Math
Url:            http://web.maths.unsw.edu.au/~davidharvey/code/zn_poly/

Source:         http://web.maths.unsw.edu.au/~davidharvey/code/zn_poly/releases/%name-%version.tar.gz
Source4:        COPYING
Patch1:         znpoly-automake.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gmp-devel
BuildRequires:  libtool

%description
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.

%package -n %lname
Summary:        Library for polynomial arithmetic in Z/nZ[x]
License:        GPL-2.0+
Group:          System/Libraries

%description -n %lname
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.

%package devel
Summary:        Development files for the zn_poly library
License:        GPL-2.0+
Group:          Development/Libraries/C and C++

%description devel
zn_poly is a C library for polynomial arithmetic in Z/nZ[x], where n
is any modulus that fits into an unsigned long.

%prep
%setup -q
%patch -P 1 -p1

%build
autoreconf -fi;
%configure --disable-static
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b";
rm -f "$b/%_libdir"/*.la;
mkdir -p "$b/%_defaultdocdir/%lname"
cp "%{S:4}" "$b/%_defaultdocdir/%lname/"

%files -n %lname
%defattr(-,root,root)
%_libdir/libzn_poly-%version.so
%_defaultdocdir/%lname/

%files devel
%defattr(-,root,root)
%_libdir/libzn_poly.so
%_includedir/%name/

%changelog
* Sun Oct 12 2014 jengelh@inai.de
- Use source URLs
- License change to BSD-2-Clause (+GPL)
* Sun Dec  2 2012 jengelh@inai.de
- Notice from the zn_poly homepage: zn_poly is no longer maintained.
  It is however still used by SAGE, so let's see where it goes.
* Mon Aug 27 2012 scorot@free.fr
- BuildRequires libtool on 12.2 and higher
* Sun Mar 18 2012 scorot@free.fr
- recompress source file to bzip2 format to allow build on SLE-11
* Tue Sep 27 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
